Which environments and versions does Dynatrace support?

In addition to software and hardware requirements, this page lists all environments, technologies, and versions that can be monitored with Dynatrace. This list is continuously growing, so please check back often.

Use the On this page links on the right to jump to the information you’re looking for.

Infrastructure and cloud

Operating systems

Dynatrace OneAgent

Operating system Versions
Windows Server 2008, 2008 R2, 2012, 2012 R2, 2016
Windows 7, 8, 8.1, 10 (64 bit)
Red Hat Enterprise Linux 5 (without SELinux), 6.1+
CentOS 6+
Ubuntu 12.04+
openSUSE 12+
Debian 6+
Fedora 20+
IBM AIX for Java and IBM HTTP Server (currently in Beta) 7.1, 7.2
Amazon Linux
CoreOS
SUSE Enterprise Linux 12+
Compatible with any standards-compliant x86_64 distribution based on glibc 2.5+

Security Gateway

64 bit physical or virtual host (no container) required

Operating system Versions
Windows Server 2008, 2008 R2, 2012, 2012 R2
Windows 7, 8, 8.1,10
Red Hat Enterprise Linux 6+
Ubuntu 12.04+
openSUSE 13

Dynatrace Managed Server1

64 bit physical or virtual host (no container) required

Operating system Versions
Red Hat Enterprise Linux 6+
CentOS 6+
Ubuntu 12.04+
openSUSE 12.3+
SUSE Enterprise Linux

1Dynatrace Managed installations only

Networks

Network interface requirements

  • IEEE 802.3 Ethernet, IEEE 802.11 Wireless LAN, OpenVZ virtual network device (venet)
  • Physical or virtual NIC with assigned (no link-local) IP address
  • Virtual Ethernet bridge interface is not supported
  • Network interface bonding is supported

Protocols

  • TCP/IPv4
  • TCP/IPv6 without extension headers

Virtualization

Monitoring

VMware Versions
vCenter server 5.x, 6.0, 6.5
ESXi host 5.x, 6.0, 6.5

Detection

  • Xen
  • KVM
  • Hyper-V

Cloud

Monitoring

Amazon Web Services (AWS)
Elastic Compute Cloud (EC2)
Elastic Block Store (EBS)
Elastic Load Balancing (ELB)
Relational Database Service (RDS)
Simple Storage Service (S3)
DynamoDB
Lambda

Detection

  • OpenStack
  • Oracle Cloud
  • Microsoft Azure

PaaS

Azure

Cloud Foundry

Feature Versions
Java buildpack 3.11+
IBM WebSphere Liberty buildpack v3.9-20170419-1403+
PHP buildpack v4.3.34+
Staticfile buildpack v1.4.6+

Docker

Feature Versions
Deep monitoring 1.6+ (32 and 64 bit) glibc or musl-libc required
Docker containers plugin 1.8, 1.9, 1.10, 1.11, 1.12, 1.13 RC2, 1.13.1
Kubernetes 1.3.1 - 1.5.3 supported by all OneAgent versions, 1.5.4 - 1.6.2 supported by OneAgent versions 121+

Note: Dynatrace doesn’t support Docker monitoring for Windows when OneAgent is installed on a Windows host.

Applications, services, & databases

Looking for .NET, PHP, or Node.js?

Java and Scala

Virtual machines Versions
Oracle Hotspot 5, 6, 7, 8
Oracle JRockit 6
OpenJDK 6, 7, 8
IBM J9 6, 7, 8
SAP JVM 6, 7, 8
Application servers Versions
Apache Tomcat 6, 7, 8
Apache TomEE 1.6
Jetty 7, 8, 9
IBM WebSphere Application Server 8, 8.5, 8.5.5
Oracle WebLogic 11g, 12c
JBoss Application Server 6, 7
JBoss Enterprise Application Platform 6
WildFly 8, 9, 10
Glassfish (Linux) 3.1.x, 4.x
Web frameworks Versions
Servlet Engine 2.3, 2.4, 2.5, 3.0, 3.1
Grails (in servlet container) 3.x
Play Framework 2.2, 2.3, 2.4
Ning Asynchronous HTTP Client 1.8, 1.9
Netty 3.10, 4.x
ElasticSearch 1.7, 2.0, 2.1, 2.2
Vert.x 2, 3
Apache HttpClient 3.1, 4.x
Apache HttpAsyncClient 4.0.x, 4.1.x
Java HttpUrlConnection
webMethods 8.2, 9.0, 9.5
Mule HTTP Listener 3.5, 3.6, 3.7, 3.8
Web services Versions
Play WS API 2.2, 2.3, 2.4
JAX-WS 2.x
Apache Axis2 1.6
Apache CXF 2.x, 3.x
Jersey 1.x, 2.x
Spring Web Services 2.x
JBossWS (JBoss AS) 4.x (Jboss 7.1)
JBossWS (Wildfly) 4.x (Wildfly 8), 5.x (Wildfly 8, 9, 10)
REST web services via WINK framework 1.2, 1.4
Restlet WS 2.1 - 2.3
Hessian web services 2.1, 3.1, 4.0
Database frameworks Versions
MongoDB driver 2.x, 3.x
MongoDB Async driver 3.x
JDBC all
Cassandra (Thrift) 2.x
Jedis Redis 2.x
Messaging libraries Versions
JMS 1.1, 2.0
Apache ActiveMQ 4, 5
HornetQ 2.2, 2.3, 2.4
RabbitMQ 3.x
IBM WebSphere MQ client 7.x, 8.x
Remoting services
RMI-IIOP
RMI-JRMP
JBoss Remoting

.NET

Dynatrace fully supports .NET applications written in C#. Limited support for .NET applications written in other languages is available, though not explicitly tested.

.NET and CLR version combinations:

.NET Framework CLR
3.5 SP1 Full CLR 2.0
4.0 Full CLR 4.0
4.5 Full CLR 4.0
4.5.1 Full CLR 4.0
4.5.2 Full CLR 4.0
4.6 Full CLR 4.0
4.6.1 Full CLR 4.0
Web and web service frameworks
ASP.NET
ASP.NET Core
ASP.NET Owin/Katana
WCF
Service Fabric Service remoting
Database frameworks
ADO.NET

Node.js

  • Versions: 0.10, 0.12, 4, 5, 6, 7
Web frameworks Versions
HTTP, HTTPS built-in
Express 3, 4
restify 2.x
Database frameworks Versions
MongoDB driver 1.4.x and 2.x
Redis
Memcached
SQLite3 (context passing only)

PHP

  • Linux (mod_php, FastCGI or PHP-FPM) required
  • Versions: 5.3, 5.4, 5.5, 5.6, 7
Database frameworks Versions
PDO built-in
mysql, mysqli built-in
  • All PHP frameworks and PHP-based application platforms, including:
    • Magento
    • Drupal
    • Joomla
    • WordPress

Web servers

Server Versions
Apache HTTP Server 2.0 (deprecated), 2.2, 2.4
Microsoft IIS 7.0, 7.5, 8.0, 8.5, 10
IBM HTTP Server 6.0, 7.0, 8.0, 8.5, 9.0
Oracle HTTP Server 11g, 12c
Nginx Any Linux build that contains debug symbols of the following versions 1.4, 1.6, 1.7, 1.8, 1.9.0-1.9.15, 1.10.0-1.10.3, 1.11.0-1.11.13, 1.12.0, 1.13.0, plus R1-R12. Alternatively, you can use a dedicated supported binary listed below. Note that these binaries don’t require debug symbols.

List of Linux distributions for Nginx binaries

Plugins

Dynatrace plugins only run on physical or virtual hosts, not within containers.

Technology Versions
MySQL 5.7
Microsoft SQL Server 2008, 2012, 2014
PostgreSQL 9.1+
MongoDB 2.6+
HAProxy Daemon-mode only (-D option) 1.4, 1.5, 1.6
Redis 2.8+
Memcached 1.4.24+
RabbitMQ 3.4.0+
Elasticsearch 2.3+
.NET CLR
CouchDB 1.5.0+
Couchbase 4.3+
Hadoop 2.4.1+
Spark 1.6
Cassandra 2.0+
ActiveMQ 5.8.0+

Real user monitoring and web checks

Real user monitoring auto-injection

  • Java servlet-based web applications
  • Apache HTTP Server
  • IBM HTTP Server
  • Oracle HTTP Server
  • Microsoft IIS
  • Nginx
  • Node.js

Real user monitoring JavaScript frameworks

Framework Versions
AngularJS 1.0 - 1.5
AngularJS 2 2
Dojo 1.6.1 - 1.10.4
Ext JS 3.4, 4, 5, 6.0
Sencha Touch 2.0 - 2.4
ICEfaces 1.8, 2, 3
jQuery ( Backbone.js ) 1.3 - 1.11, 2.0 - 2.2, 3.0
MooTools 1.4.6 - 1.5
Prototype 1.6, 1.7
XMLHttpRequest (XHR)

Mobile real user monitoring

Operating System Versions
Android 2.2+ (API 8+)
iOS 6+

Browsers

Real users

Browser Versions
Microsoft Internet Explorer 8+
Microsoft Edge Latest version
Mozilla Firefox 3 latest versions
Google Chrome 3 latest versions (desktop and mobile)
Safari 3 latest versions (OS X and iOS)
Android Browser 3 latest versions
Opera 2 latest versions
All modern browsers with JavaScript and cookies enabled

Synthetic users

Feature Support
Recorder Google Chrome (latest version, backwards compatible)
Web check Google Chrome 53

Dynatrace web UI

Browser Versions
Microsoft Edge Latest version (desktop and mobile)
Mozilla Firefox Latest version (desktop)
Google Chrome Latest version (desktop and mobile)
Safari 10+ (OS X and iOS)
Microsoft Internet Explorer 11 (desktop)
  • Please note that Microsoft Internet Explorer provides significantly lower performance than other listed browsers. It’s recommended that you use an alternative browser.

Dynatrace messaging & alerting

Integrations

  • PagerDuty
  • HipChat API version 2
  • Slack
  • VictorOps

Dynatrace Mobile app

Operating System Versions
Android 4.1+
iOS 8+
Windows Phone 8.1+
Windows 10